
set( sbndaq_artdaq_VERSION 0.06.01 )
set( sbndaq_artdaq_UPS_VERSION v0_06_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( artdaq v3_06_02 )
find_ups_boost( v1_53_0 )
find_ups_product( TRACE v3_03_00 )
find_ups_product( art v1_08_10 )
find_ups_product( canvas v1_06_00 )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( canvas_root_io v1_00_00 )
find_ups_root(  )
find_ups_product( artdaq_core  )
find_ups_product( cetpkgsupport v1_08_03 )
find_ups_product( artdaq_utilities  )
find_ups_product( xmlrpc_c v1_25_18 )
find_ups_product( art_root_io v1_00_00 )
find_ups_product( pqxx v6_2_5a )
find_ups_product( caenvme v2_50 )
find_ups_product( caencomm v1_2a )
find_ups_product( caendigitizer v2_7_2 )
find_ups_product( sbndaq_artdaq_core v0_03_00 )
find_ups_product( jsoncpp v1_7_7c )
find_ups_product( zmq v4_3_1 )
find_ups_product( redis v5_0_5 )
  cet_find_library( REDIS NAMES hiredis PATHS ENV REDIS_LIB NO_DEFAULT_PATH )
find_ups_product( libxml2 v2_9_9 )
set(SBNDAQ-ARTDAQ_BUILDINFO "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_BuildInfo.so")
set(SBNDAQ-ARTDAQ_ARTMODULES_COMMON_CAENV1730DUMP_MODULE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_ArtModules_Common_CAENV1730Dump_module.so")
set(SBNDAQ-ARTDAQ_ARTMODULES_COMMON_CAENV1730WAVEFORMANA_MODULE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_ArtModules_Common_CAENV1730WaveformAna_module.so")
set(SBNDAQ-ARTDAQ_ARTMODULES_COMMON_BERNCRTZMQANA_MODULE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_ArtModules_Common_BernCRTZMQAna_module.so")
set(SBNDAQ-ARTDAQ_ARTMODULES_ICARUS_ICARUSARTDAQBUILDINFO_MODULE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_ArtModules_ICARUS_IcarusArtdaqBuildInfo_module.so")
set(SBNDAQ-ARTDAQ_ARTMODULES_ICARUS_PHYSCRATEDUMP_MODULE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_ArtModules_ICARUS_PhysCrateDump_module.so")
set(SBNDAQ-ARTDAQ_ARTMODULES_ICARUS_PHYSCRATEWRITEICARUSDATAFILE_MODULE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_ArtModules_ICARUS_PhysCrateWriteICARUSDataFile_module.so")
set(SBNDAQ-ARTDAQ_ARTMODULES_ICARUS_PHYSCRATEVIEWER_MODULE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_ArtModules_ICARUS_PhysCrateViewer_module.so")
set(SBNDAQ-ARTDAQ_ARTMODULES_ICARUS_PHYSCRATESIMPLEANA_MODULE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_ArtModules_ICARUS_PhysCrateSimpleAna_module.so")
set(SBNDAQ-ARTDAQ_ARTMODULES_ICARUS_ICARUSFRAGMENTNAMINGSERVICE_SERVICE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_ArtModules_ICARUS_IcarusFragmentNamingService_service.so")
set(SBNDAQ-ARTDAQ_ARTMODULES_SBND_SBNDARTDAQBUILDINFO_MODULE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_ArtModules_SBND_SBNDArtdaqBuildInfo_module.so")
set(SBNDAQ-ARTDAQ_ARTMODULES_SBND_SBNDFRAGMENTNAMINGSERVICE_SERVICE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_ArtModules_SBND_SBNDFragmentNamingService_service.so")
set(SBNDAQ-ARTDAQ_COMMON_UTILITIES "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Common_Utilities.so")
set(SBNDAQ-ARTDAQ_COMMON_CAENV1730_GENERATORBASE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Common_CAENV1730_GeneratorBase.so")
set(SBNDAQ-ARTDAQ_COMMON_SPECTRATIME_GENERATORBASE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Common_SpectraTime_GeneratorBase.so")
set(SBNDAQ-ARTDAQ_GENERATORS_COMMON_CAENV1730READOUT_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_Common_CAENV1730Readout_generator.so")
set(SBNDAQ-ARTDAQ_GENERATORS_COMMON_SPECTRATIMEREADOUT_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_Common_SpectraTimeReadout_generator.so")
set(SBNDAQ-ARTDAQ_COMMON_BERNCRTZMQ_GENERATORBASE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Common_BernCRTZMQ_GeneratorBase.so")
set(BERNCRTFEBCONFIGURATION "$ENV{SBNDAQ_ARTDAQ_LIB}/libBernCRTFEBConfiguration.so")
set(SBNDAQ-ARTDAQ_GENERATORS_COMMON_BERNCRTZMQDATA_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_Common_BernCRTZMQData_generator.so")
set(ICARUS-BASE_A2795BOARD "$ENV{SBNDAQ_ARTDAQ_LIB}/libicarus-base_A2795Board.so")
set(ICARUS-BASE_VETOUDP "$ENV{SBNDAQ_ARTDAQ_LIB}/libicarus-base_VetoUDP.so")
set(ICARUS-BASE_PHYSCRATE "$ENV{SBNDAQ_ARTDAQ_LIB}/libicarus-base_PhysCrate.so")
set(SBNDAQ-ARTDAQ_ICARUS_PHYSCRATE_GENERATORBASE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_ICARUS_PhysCrate_GeneratorBase.so")
set(SBNDAQ-ARTDAQ_GENERATORS_ICARUS_PHYSCRATEDATA_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_ICARUS_PhysCrateData_generator.so")
set(SBNDAQ-ARTDAQ_GENERATORS_ICARUS_ICARUSTRIGGERUDP_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_ICARUS_ICARUSTriggerUDP_generator.so")
set(SBNDAQ-ARTDAQ_GENERATORS_SBND_TRIGGERBOARD "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_SBND_TriggerBoard.so")
set(SBNDAQ-ARTDAQ_NEVISHWUTILS "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_nevishwutils.so")
set(SBNDAQ-ARTDAQ_NEVISTPCGENERATORBASE "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_NevisTPCGeneratorBase.so")
set(SBNDAQ-ARTDAQ_GENERATORS_SBND_NEVISTPC_NEVISTPCDATA_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_SBND_NevisTPC_NevisTPCData_generator.so")
set(SBNDAQ-ARTDAQ_GENERATORS_SBND_NEVISTPC_NEVISTPC2STREAMNUANDSNXMIT_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_SBND_NevisTPC_NevisTPC2StreamNUandSNXMIT_generator.so")
set(SBNDAQ-ARTDAQ_GENERATORS_SBND_NEVISTPC_NEVISTPCNUXMIT_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_SBND_NevisTPC_NevisTPCNUXMIT_generator.so")
set(SBNDAQ-ARTDAQ_GENERATORS_SBND_NEVISTPC_NEVISTPCCALIB_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_SBND_NevisTPC_NevisTPCCALIB_generator.so")
set(SBNDAQ-ARTDAQ_GENERATORS_SBND_NEVISTPC_NEVISTPCFILE_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_SBND_NevisTPC_NevisTPCFile_generator.so")
set(SBNDAQ-ARTDAQ_GENERATORS_SBND_TRIGGERBOARDREADER_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_SBND_TriggerBoardReader_generator.so")
set(SBNDAQ-ARTDAQ_GENERATORS_SBND_WIBREADER "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_SBND_WIBReader.so")
set(SBNDAQ-ARTDAQ_GENERATORS_SBND_MBBREADER "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_SBND_MBBReader.so")
set(SBNDAQ-ARTDAQ_GENERATORS_SBND_WIBREADER_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_SBND_WIBReader_generator.so")
set(SBNDAQ-ARTDAQ_GENERATORS_SBND_MBBREADER_GENERATOR "$ENV{SBNDAQ_ARTDAQ_LIB}/libsbndaq-artdaq_Generators_SBND_MBBReader_generator.so")
  include_directories ( "$ENV{SBNDAQ_ARTDAQ_INC}" )

check_required_components(sbndaq_artdaq)

